package edu.lawrence.auction.interfaces.dtos;

import edu.lawrence.auction.entities.Bid;
import edu.lawrence.auction.entities.Purchase;

public class Sale {
	private String purchaseid;
	private String auctionid;
	private int bidid;
	private ShippingDTO shipping;

	public Sale() {
	}

	public Sale(Purchase base) {
		purchaseid = base.getPurchaseid().toString();
		Bid bid = base.getBid();
		auctionid = bid.getAuction().getAuctionid().toString();
		bidid = bid.getBidid();
		shipping = new ShippingDTO(base.getShipping());
	}
	
	public String getPurchaseid() {
		return purchaseid;
	}

	public void setPurchaseid(String purchaseid) {
		this.purchaseid = purchaseid;
	}

	public String getAuctionid() {
		return auctionid;
	}

	public void setAuctionid(String auctionid) {
		this.auctionid = auctionid;
	}

	public int getBidid() {
		return bidid;
	}

	public void setBidid(int bidid) {
		this.bidid = bidid;
	}

	public ShippingDTO getShipping() {
		return shipping;
	}

	public void setShipping(ShippingDTO shipping) {
		this.shipping = shipping;
	}
}
