package edu.lawrence.auction.interfaces.dtos;

import edu.lawrence.auction.entities.Bid;
import edu.lawrence.auction.entities.Purchase;

public class Bill {
	String purchaseid;
	String auctionid;
	int bidid;
	int amount;
	int shippingcharge;
	ShippingDTO shipping;
	String tracking;

	public Bill() {
	}

	public Bill(Purchase base) {
		purchaseid = base.getPurchaseid().toString();
		Bid bid = base.getBid();
		auctionid = bid.getAuction().getAuctionid().toString();
		bidid = bid.getBidid();
		amount = bid.getBid();
		shippingcharge = base.getCharged();
		shipping = new ShippingDTO(base.getShipping());
		tracking = base.getTracking();
	}
	
	public String getPurchaseid() {
		return purchaseid;
	}

	public void setPurchaseid(String purchaseid) {
		this.purchaseid = purchaseid;
	}

	public String getAuctionid() {
		return auctionid;
	}

	public void setAuctionid(String auctionid) {
		this.auctionid = auctionid;
	}

	public int getBidid() {
		return bidid;
	}

	public void setBidid(int bidid) {
		this.bidid = bidid;
	}

	public int getAmount() {
		return amount;
	}

	public void setAmount(int amount) {
		this.amount = amount;
	}

	public int getShippingcharge() {
		return shippingcharge;
	}

	public void setShippingcharge(int shippingcharge) {
		this.shippingcharge = shippingcharge;
	}

	public ShippingDTO getShipping() {
		return shipping;
	}

	public void setShipping(ShippingDTO shipping) {
		this.shipping = shipping;
	}

	public String getTracking() {
		return tracking;
	}

	public void setTracking(String tracking) {
		this.tracking = tracking;
	}

}
